Name:          jasypt
Version:       1.9.0
Release:       %mkrel 4
Summary:       Java Simplified Encryption
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.jasypt.org/
# svn export https://jasypt.svn.sourceforge.net/svnroot/jasypt/tags/jasypt/jasypt-1.9.0 jasypt-1.9.0
# tar czf jasypt-1.9.0-src-svn.tar.gz jasypt-1.9.0
Source0:       %{name}-%{version}-src-svn.tar.gz
# force tomcat-servlet-3.0-api use
Source1:       %{name}-%{version}-depmap
# remove maven-gpg-plugin
# fix encoding (changed US-ASCII in UTF-8)
# fix bouncycastle: artifactId version
# add commons-logging for test
# add icu4j systemPath
# fix compiler plugin target/source 1.5 
Patch0:        %{name}-%{version}-pom.patch
# remove internal commons-codec 1.3
Patch1:        %{name}-%{version}-use-system-commons-codec.patch
# tks to jhernand
# system commons-codec 1.4 support
Patch2:        %{name}-%{version}-StandardStringDigester.patch
Patch3:        %{name}-%{version}-StandardPBEStringEncryptor.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

# test deps
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: bouncycastle
BuildRequires: junit
# main deps
BuildRequires: apache-commons-codec
BuildRequires: icu4j
BuildRequires: tomcat-servlet-3.0-api

BuildRequires: maven-local
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      apache-commons-codec
Requires:      icu4j
Requires:      tomcat-servlet-3.0-api

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Java library which enables encryption
in java apps with minimum effort.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0

%build

mvn-rpmbuild -Dmaven.test.skip=true -Dmaven.local.depmap.file=%{SOURCE1} -D_javadir=%{_javadir} install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api/jasypt/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc *.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt NOTICE.txt


%changelog

* Mon Feb 18 2013 dmorgan <dmorgan> 1.9.0-4.mga3
+ Revision: 398990
- Skip tests

* Sat Jan 12 2013 umeabot <umeabot> 1.9.0-3.mga3
+ Revision: 354765
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 1.9.0-2.mga3
+ Revision: 293316
- imported package jasypt


* Wed Aug 29 2012 gil cattaneo <puntogil@libero.it> 1.9.0-2
- fixed apache-commons-codec gId

* Fri May 18 2012 gil cattaneo <puntogil@libero.it> 1.9.0-1
- initial rpm
